#ifndef HistoHelper_h
#define HistoHelper_h

#include<vector>
#include<map>
#include "TFile.h"
#include "TH1D.h"
#include "TH2D.h"
#include "TProfile.h"
#include "TGraph.h"

class HistoHelper
{
public:
  static HistoHelper* GetInstance();
  std::vector<TObject*>* histolist();
  void SaveKey(std::string key, double value);
  double GetKey(std::string key);
protected:  
  HistoHelper();
  ~HistoHelper();
  HistoHelper(const HistoHelper&);
  HistoHelper& operator= (const HistoHelper&);
private:
  std::vector<TObject*> phistos;
  std::map<std::string , double> pkeys;
};

inline void HistoHelper::SaveKey(std::string key, double value){
  pkeys[key]=value;
  return;
}

inline double HistoHelper::GetKey(std::string key){
  if(pkeys.find(key)!=pkeys.end()) return pkeys[key];
  return 1.0E+100;
}

inline std::vector<TObject*>* HistoHelper::histolist()
{
  return &phistos;
}
#endif
