#ifndef MyAnalysis_h 
#define MyAnalysis_h 1

#include "globals.hh"

#include "G4VHitsCollection.hh"
#include "MySensitiveTracker.hh"
#include "MyTrackerHit.hh"


class TH1F;
class TH2F;
class TH3F;
class TNtuple;
class MyAnalysis {

public:

  ~MyAnalysis();
  // Close histograms and/or ntuples.
  // This method is called only once.
  
  //  void fill(const G4int numHits, const G4double energyDeposited, const G4double distance); 
  void fill(const MyTrackerHitsCollection*); 
  // This method is called at each event to fill the 
  // histograms and/or ntuples.

  void close();

  static MyAnalysis* getInstance();

private:
  
  MyAnalysis();
  void RenormToNevt(TH1F*);
  void RenormToBinWidth(TH1F*);  
  void RenormToRadius(TH1F*);
  
  static MyAnalysis* instance;
  TH2F* histo_edep_cross;
  TH2F* histo_edep_trans;
  TH1F* histo_edep_trans2;
  TH1F* histo_dedx;
  TH1F* histo_edep;
  TH1F* histo_xpos;
  TH2F* histo_edep_vs_org_en;
  TH3F* histo_pos; 
  G4int Nevt;
  TNtuple *nt_hits;
};

#endif

